sbv-8.7: SMT Based Verification: Symbolic Haskell theorem prover using SMT solving.

Copyright | (c) Levent Erkok
License | BSD3
Maintainer | erkokl@gmail.com
Stability | experimental
Safe Haskell | None
Language | Haskell2010

Documentation.SBV.Examples.Puzzles.LadyAndTigers

Description

Synopsis

- ladyAndTigers :: IO AllSatResult

# Documentation

ladyAndTigers :: IO AllSatResult Source #

Prints the only solution:

    >>> ladyAndTigers
    Solution #1:
      sign1  = False :: Bool
      sign2  = False :: Bool
      sign3  =  True :: Bool
      tiger1 = False :: Bool
      tiger2 =  True :: Bool
      tiger3 =  True :: Bool
    This is the only solution.

That is, the lady is in room 1, and only the third room's sign is true.